Addon [1.7.10 - 1.12.2] Extra Planets *Updated 10/01/2021*

MJRLegends

Member
Mar 13, 2015
541
65
28
---------------------------------------------------------------------------------------------------------------------------------
1.11.2 Version
Please report them here and use [1.11.2] in the title.
Requires Galacticraft 4 Builds, (114 Build and higher) and Forge 13.20.0.2282 or higher!


v0.2.8 is available, check change log for details
---------------------------------------------------------------------------------------------------------------------------------
1.10.2 Version
Please report them here and use [1.10.2] in the title.
Requires Galacticraft 4 Builds, (114 Build and higher) and Forge 12.18.3.2239 or higher!


v0.6.2 is available, check change log for details
---------------------------------------------------------------------------------------------------------------------------------
 

MJRLegends

Member
Mar 13, 2015
541
65
28
---------------------------------------------------------------------------------------------------------------------------------
1.11.2 Version
Please report them here and use [1.11.2] in the title.
Requires Galacticraft 4 Builds, (114 Build and higher) and Forge 13.20.0.2282 or higher!


v0.2.9 is available, check change log for details
---------------------------------------------------------------------------------------------------------------------------------
1.10.2 Version
Please report them here and use [1.10.2] in the title.
Requires Galacticraft 4 Builds, (114 Build and higher) and Forge 12.18.3.2239 or higher!


v0.6.3 is available, check change log for details
---------------------------------------------------------------------------------------------------------------------------------
 

MJRLegends

Member
Mar 13, 2015
541
65
28
---------------------------------------------------------------------------------------------------------------------------------
1.11.2 Version
Please report them here and use [1.11.2] in the title.
Requires Galacticraft 4 Builds, (114 Build and higher) and Forge 13.20.0.2282 or higher!


v0.3.0 is available, check change log for details
---------------------------------------------------------------------------------------------------------------------------------
1.10.2 Version
Please report them here and use [1.10.2] in the title.
Requires Galacticraft 4 Builds, (114 Build and higher) and Forge 12.18.3.2239 or higher!


v0.6.4 is available, check change log for details
---------------------------------------------------------------------------------------------------------------------------------
 

MJRLegends

Member
Mar 13, 2015
541
65
28
Important Information:
The MC 1.8.9 version of ExtraPlanets is getting a update to be 100% same as MC 1.10.2 & 1.11.2 versions.

It will mean all new features and changes will be done for MC 1.10.2 and MC 1.11.2 versions at the same time and now MC 1.8.9 too


Everything in your MC 1.8.9 world for ExtraPlanets will probably get removed due to name changes (World resets are recommended)
 

MJRLegends

Member
Mar 13, 2015
541
65
28
---------------------------------------------------------------------------------------------------------------------------------
1.8.9 Version:
Please report them here and use [1.8] in the title.
Requires Galacticraft 4 Builds, (114 Build and higher) and Forge 11.15.1.1764 or higher!


v1.0.0 is available, check change log for details.

(Everything in your MC 1.8.9 world for ExtraPlanets will probably get removed due to name changes in this update (World resets are recommended)
---------------------------------------------------------------------------------------------------------------------------------
 

MJRLegends

Member
Mar 13, 2015
541
65
28
---------------------------------------------------------------------------------------------------------------------------------
1.11.2 Version
Please report them here and use [1.11.2] in the title.
Requires Galacticraft 4 Builds, (117 Build and higher) and Forge 13.20.0.2282 or higher!


v0.3.2 is available, check change log for details

YOU WILL NEED TO RE-GENERATE YOUR CONFIG FILE

---------------------------------------------------------------------------------------------------------------------------------

1.10.2 Version
Please report them here and use [1.10.2] in the title.
Requires Galacticraft 4 Builds, (117 Build and higher) and Forge 12.18.3.2239 or higher!


v0.6.6 is available, check change log for details

YOU WILL NEED TO RE-GENERATE YOUR CONFIG FILE
---------------------------------------------------------------------------------------------------------------------------------

1.8.9 Version:
Please report them here and use [1.8] in the title.
Requires Galacticraft 4 Builds, (117 Build and higher) and Forge 11.15.1.1764 or higher!


v1.0.1 is available, check change log for details.

YOU WILL NEED TO RE-GENERATE YOUR CONFIG FILE
---------------------------------------------------------------------------------------------------------------------------------
 

MJRLegends

Member
Mar 13, 2015
541
65
28
---------------------------------------------------------------------------------------------------------------------------------
1.11.2 Version
Please report them here and use [1.11.2] in the title.
Requires Galacticraft 4 Builds, (117 Build and higher) and Forge 13.20.0.2282 or higher!


v0.3.3 is available, check change log for details

YOU WILL NEED TO RE-GENERATE YOUR CONFIG FILE
---------------------------------------------------------------------------------------------------------------------------------

1.10.2 Version
Please report them here and use [1.10.2] in the title.
Requires Galacticraft 4 Builds, (117 Build and higher) and Forge 12.18.3.2239 or higher!


v0.6.7 is available, check change log for details

YOU WILL NEED TO RE-GENERATE YOUR CONFIG FILE
---------------------------------------------------------------------------------------------------------------------------------

1.8.9 Version:
Please report them here and use [1.8] in the title.
Requires Galacticraft 4 Builds, (117 Build and higher) and Forge 11.15.1.1764 or higher!


v1.0.2 is available, check change log for details.

YOU WILL NEED TO RE-GENERATE YOUR CONFIG FILE
---------------------------------------------------------------------------------------------------------------------------------
 

MJRLegends

Member
Mar 13, 2015
541
65
28
Translators:
If you would like to help then open up one of the links below and if the file doesn't exist for that language already then please take the en_US.lang file and translate from that one.

1.7.10: https://github.com/MJRLegends/ExtraPlanets/tree/master/src/main/resources/assets/extraplanets/lang

1.8.9, 1.10.2, 1.11.2: https://github.com/MJRLegends/Extra...2/src/main/resources/assets/extraplanets/lang

Note: They are different lang files as the unlocalized names are different between 1.7.10 and 1.8+ due to changes that needed to happen, but 1.8.9 and 1.10.2 and 1.11.2 are all the same language files!!.

You can submit a pull request or you can make a issue report containing the file!
 

MJRLegends

Member
Mar 13, 2015
541
65
28
---------------------------------------------------------------------------------------------------------------------------------
1.11.2 Version
Please report them here and use [1.11.2] in the title.
Requires Galacticraft 4 Builds, (117 Build and higher) and Forge 13.20.0.2282 or higher!


v0.3.4 is available, check change log for details

YOU WILL NEED TO RE-GENERATE YOUR CONFIG FILE
---------------------------------------------------------------------------------------------------------------------------------
1.10.2 Version
Please report them here and use [1.10.2] in the title.
Requires Galacticraft 4 Builds, (117 Build and higher) and Forge 12.18.3.2239 or higher!


v0.6.8 is available, check change log for details

YOU WILL NEED TO RE-GENERATE YOUR CONFIG FILE
---------------------------------------------------------------------------------------------------------------------------------
1.8.9 Version:
Please report them here and use [1.8] in the title.
Requires Galacticraft 4 Builds, (117 Build and higher) and Forge 11.15.1.1764 or higher!


v1.0.3 is available, check change log for details.

YOU WILL NEED TO RE-GENERATE YOUR CONFIG FILE
---------------------------------------------------------------------------------------------------------------------------------
1.7.10 Version:
Please report them here and use [1.7.10] in the title.
Requires Galacticraft 3 Builds, (493 Build and higher) and Forge 10.13.4.1614!


v1.8.6 is available, check change log for details.
---------------------------------------------------------------------------------------------------------------------------------
 
Last edited:

MJRLegends

Member
Mar 13, 2015
541
65
28
---------------------------------------------------------------------------------------------------------------------------------
1.11.2 Version
Please report them here and use [1.11.2] in the title.
Requires Galacticraft 4 Builds, (117 Build and higher) and Forge 13.20.0.2282 or higher!


v0.3.5 is available, check change log for details

YOU WILL NEED TO RE-GENERATE YOUR CONFIG FILE
---------------------------------------------------------------------------------------------------------------------------------

1.10.2 Version
Please report them here and use [1.10.2] in the title.
Requires Galacticraft 4 Builds, (117 Build and higher) and Forge 12.18.3.2239 or higher!


v0.6.9 is available, check change log for details

YOU WILL NEED TO RE-GENERATE YOUR CONFIG FILE
---------------------------------------------------------------------------------------------------------------------------------

1.8.9 Version:
Please report them here and use [1.8] in the title.
Requires Galacticraft 4 Builds, (117 Build and higher) and Forge 11.15.1.1764 or higher!


v1.0.4 is available, check change log for details.

YOU WILL NEED TO RE-GENERATE YOUR CONFIG FILE
---------------------------------------------------------------------------------------------------------------------------------
 

MJRLegends

Member
Mar 13, 2015
541
65
28
---------------------------------------------------------------------------------------------------------------------------------
1.11.2 Version
Please report them here and use [1.11.2] in the title.
Requires Galacticraft 4 Builds, (117 Build and higher) and Forge 13.20.0.2282 or higher!


v0.3.6 is available, check change log for details
---------------------------------------------------------------------------------------------------------------------------------
1.10.2 Version
Please report them here and use [1.10.2] in the title.
Requires Galacticraft 4 Builds, (117 Build and higher) and Forge 12.18.3.2239 or higher!


v0.7.0 is available, check change log for details
---------------------------------------------------------------------------------------------------------------------------------
1.8.9 Version:
Please report them here and use [1.8] in the title.
Requires Galacticraft 4 Builds, (117 Build and higher) and Forge 11.15.1.1764 or higher!


v1.0.5 is available, check change log for details.
---------------------------------------------------------------------------------------------------------------------------------
 
Last edited:
  • Like
Reactions: Ezer'Arch

MJRLegends

Member
Mar 13, 2015
541
65
28
---------------------------------------------------------------------------------------------------------------------------------
1.11.2 Version
Please report them here and use [1.11.2] in the title.
Requires Galacticraft 4 Builds, (117 Build and higher) and Forge 13.20.0.2282 or higher!

v0.3.7 is available, check change log for details
---------------------------------------------------------------------------------------------------------------------------------
1.10.2 Version
Please report them here and use [1.10.2] in the title.
Requires Galacticraft 4 Builds, (117 Build and higher) and Forge 12.18.3.2239 or higher!

v0.7.1 is available, check change log for details
---------------------------------------------------------------------------------------------------------------------------------
1.8.9 Version:
Please report them here and use [1.8] in the title.
Requires Galacticraft 4 Builds, (117 Build and higher) and Forge 11.15.1.1764 or higher!

v1.0.6 is available, check change log for details.
---------------------------------------------------------------------------------------------------------------------------------
 

MJRLegends

Member
Mar 13, 2015
541
65
28
---------------------------------------------------------------------------------------------------------------------------------
1.11.2 Version
Please report them here and use [1.11.2] in the title.
Requires Galacticraft 4 Builds, (117 Build and higher) and Forge 13.20.0.2282 or higher!

v0.3.8 is available, check change log for details
---------------------------------------------------------------------------------------------------------------------------------
1.10.2 Version
Please report them here and use [1.10.2] in the title.
Requires Galacticraft 4 Builds, (117 Build and higher) and Forge 12.18.3.2239 or higher!

v0.7.2 is available, check change log for details
---------------------------------------------------------------------------------------------------------------------------------
1.8.9 Version:
Please report them here and use [1.8] in the title.
Requires Galacticraft 4 Builds, (117 Build and higher) and Forge 11.15.1.1764 or higher!

v1.0.7 is available, check change log for details.
---------------------------------------------------------------------------------------------------------------------------------
 

MJRLegends

Member
Mar 13, 2015
541
65
28
---------------------------------------------------------------------------------------------------------------------------------
1.11.2 Version
Please report them here and use [1.11.2] in the title.
Requires Galacticraft 4 Builds, (117 Build and higher) and Forge 13.20.0.2282 or higher!

v0.3.9 is available, check change log for details
---------------------------------------------------------------------------------------------------------------------------------
1.10.2 Version
Please report them here and use [1.10.2] in the title.
Requires Galacticraft 4 Builds, (117 Build and higher) and Forge 12.18.3.2239 or higher!

v0.7.3 is available, check change log for details
---------------------------------------------------------------------------------------------------------------------------------
1.8.9 Version:
Please report them here and use [1.8] in the title.
Requires Galacticraft 4 Builds, (117 Build and higher) and Forge 11.15.1.1764 or higher!

v1.0.8 is available, check change log for details.
---------------------------------------------------------------------------------------------------------------------------------
 

MJRLegends

Member
Mar 13, 2015
541
65
28
---------------------------------------------------------------------------------------------------------------------------------
1.11.2 Version
Please report them here and use [1.11.2] in the title.
Requires Galacticraft 4 Builds, (117 Build and higher) and Forge 13.20.0.2282 or higher!

v0.4.0 is available, check change log for details
---------------------------------------------------------------------------------------------------------------------------------
1.10.2 Version
Please report them here and use [1.10.2] in the title.
Requires Galacticraft 4 Builds, (117 Build and higher) and Forge 12.18.3.2239 or higher!

v0.7.4 is available, check change log for details
---------------------------------------------------------------------------------------------------------------------------------
1.8.9 Version:
Please report them here and use [1.8] in the title.
Requires Galacticraft 4 Builds, (117 Build and higher) and Forge 11.15.1.1764 or higher!

v1.0.9 is available, check change log for details.
---------------------------------------------------------------------------------------------------------------------------------
1.7.10 Version:
Please report them here and use [1.7.10] in the title.
Requires Galacticraft 3 Builds, (493 Build and higher) and Forge 10.13.4.1614!


v1.8.7 is available, check change log for details.
---------------------------------------------------------------------------------------------------------------------------------
 
Last edited:

MJRLegends

Member
Mar 13, 2015
541
65
28
---------------------------------------------------------------------------------------------------------------------------------
1.11.2 Version
Please report them here and use [1.11.2] in the title.
Requires Galacticraft 4 Builds, (117 Build and higher) and Forge 13.20.0.2282 or higher!

v0.4.1 is available, check change log for details
---------------------------------------------------------------------------------------------------------------------------------
1.10.2 Version
Please report them here and use [1.10.2] in the title.
Requires Galacticraft 4 Builds, (117 Build and higher) and Forge 12.18.3.2239 or higher!

v0.7.6 is available, check change log for details
---------------------------------------------------------------------------------------------------------------------------------
1.8.9 Version:
Please report them here and use [1.8] in the title.
Requires Galacticraft 4 Builds, (117 Build and higher) and Forge 11.15.1.1764 or higher!

v1.1.0 is available, check change log for details.
---------------------------------------------------------------------------------------------------------------------------------
 

Neexxus

Member
Jun 17, 2017
4
0
1
20
My feedback:

my biggest problem is some planets that are not faithful to the current discoveries, like the Europe that in its center has a frozen ocean and solid gaseous planets, I think it would be very interesting to exchange the solid of Neptune for a liquid and can make diamond through that, after all it has liquid diamond in the real Neptune, putting more advantages to explore planets besides dungeons and boss